import { createAiClient as createOpenAiClient, OpenAi } from '@modal-sh/mio-ai';

export const createAiClient = () => {
  const aiClient = createOpenAiClient({
    platform: OpenAi.PLATFORM_ID,
    platformConfiguration: {
      apiKey: process.env.OPENAI_API_KEY as string,
      organizationId: process.env.OPENAI_ORGANIZATION_ID as string,
      apiVersion: OpenAi.ApiVersion.V1,
    },
  });

  return aiClient;
};
