import {
  encoding_for_model as encodingForModel,
  TiktokenModel,
} from '@dqbd/tiktoken';
import { Message } from './chat';

export const getPromptTokens = (message: Message | Message[], model: TiktokenModel) => {
  // TODO proper calculation of tokens
  //   refer to https://tiktokenizer.vercel.app/ for counting tokens on multiple messages
  const enc = encodingForModel(model);
  const messageArray = Array.isArray(message) ? message : [message];
  return messageArray.map((m) => {
    if (typeof m === 'string') {
      return enc.encode(m);
    }

    return enc.encode(m.content);
  });
};

export interface Usage {
  prompt_tokens: number;
  completion_tokens: number;
  total_tokens: number;
}

export interface UsageMetadata {
  usage: Usage;
}
